| PUT | /RestApi/translations/translate/mark |
|---|
"use strict";
export class MarkForTranslation {
/** @param {{Ids?:string[],ProviderName?:string,ItemType?:string,SourceLanguage?:string,TargetLanguages?:string[],ActualSourceLanguage?:string,AllowPartialSuccess?:boolean}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string[]} */
Ids;
/** @type {string} */
ProviderName;
/** @type {string} */
ItemType;
/** @type {string} */
SourceLanguage;
/** @type {string[]} */
TargetLanguages;
/** @type {string} */
ActualSourceLanguage;
/** @type {boolean} */
AllowPartialSuccess;
}
JavaScript MarkForTranslation DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/translations/translate/mark HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.